OiO.lk Community platform!

Oio.lk is an excellent forum for developers, providing a wide range of resources, discussions, and support for those in the developer community. Join oio.lk today to connect with like-minded professionals, share insights, and stay updated on the latest trends and technologies in the development field.
  You need to log in or register to access the solved answers to this problem.
  • You have reached the maximum number of guest views allowed
  • Please register below to remove this limitation

Tried building expo app from bare template and then Installed expo-router, When I build apk I get error Native modules required RNNScreen

  • Thread starter Thread starter Vinit P. Jain
  • Start date Start date
V

Vinit P. Jain

Guest
I used bare bones template because I wanted to use java script in expo. But when I install expo-router and build a production apk, I get error in the app saying required native moduels RNSScreens something. why am I getting this error. Also can someone help me how should I define my main _layout.js file and do I need to put a index.js file in the root ??

enter image description here

I tried npm i react-native-screens and react-navigation/native and all. Nothing fixes the problem.

<p>I used bare bones template because I wanted to use java script in expo. But when I install expo-router and build a production apk, I get error in the app saying required native moduels RNSScreens something. why am I getting this error. Also can someone help me how should I define my main _layout.js file and do I need to put a index.js file in the root ??</p>
<p><a href="https://i.sstatic.net/gwm9F5TI.png" rel="nofollow noreferrer">enter image description here</a></p>
<p>I tried npm i react-native-screens and react-navigation/native and all. Nothing fixes the problem.</p>
 

Latest posts

B
Replies
0
Views
1
Blundering Ecologist
B
Top